Page MenuHomeVyOS Platform

Support for bind vif-c interfaces into VRFs
Closed, ResolvedPublicFEATURE REQUEST

Description

It would be useful if vif-s interfaces could be bound into VRF instances.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

JB_VCC created this task.Apr 7 2020, 10:30 PM
syncer assigned this task to c-po.Apr 7 2020, 10:35 PM
syncer triaged this task as Normal priority.
pasik added a subscriber: pasik.Apr 8 2020, 10:18 AM
c-po closed this task as Resolved.Apr 8 2020, 7:54 PM
JB_VCC added a comment.Apr 9 2020, 3:55 PM

Thanks for the responsiveness to this request!
would it be possible to make both vif-s and vif-c interfaces bindable? or should I make a new feature request?

Thanks,

[Vincent Communications - Logo-high-res]www.vincentcommunications.ca

Jerome Backmeyer | Network Solutions Architect | Office: 780.833.6160 | Direct: 780.833.3510<tel:(780)%20833-1320><tel:(780)%20833-1320>

#110, 11025 - 89 Ave, Grande Prairie, AB T8V 5B9

c-po added a comment.Apr 9 2020, 8:14 PM

What you mean by "bindable"?

JB_VCC added a comment.Apr 9 2020, 8:26 PM

just that the interface can be added to the VRF

set interfaces ethernet eth0 vif-s 1004 vif-c 30 vrf client1

After the request was marked resolved yesterday we rebuilt from git and the set interfaces .... vrf <name> options was available on vif and vif-s.

admin@vRTR# set interfaces ethernet eth0 vif-s 1004
Possible completions:

vrf          VRF instance name

but not vif-c where it would be more useful, on the inner client tag. I typo'd the feature request to refer to wrong tag.

[Vincent Communications - Logo-high-res]www.vincentcommunications.ca

Jerome Backmeyer | Network Solutions Architect | Office: 780.833.6160 | Direct: 780.833.3510<tel:(780)%20833-1320><tel:(780)%20833-1320>

#110, 11025 - 89 Ave, Grande Prairie, AB T8V 5B9

c-po renamed this task from Support for bind vif-s interfaces into VRFs to Support for bind vif-c interfaces into VRFs.Apr 10 2020, 9:23 AM
c-po added a comment.Apr 10 2020, 9:26 AM

Moved to vif-c

c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.May 21 2020, 5:24 PM